Subject: Problem with berzerk mailbox handling

From: [email-masked] (John Saunders)
Date: 17 Jun 1995 01:15:05 GMT

I have a problem using pine. It seems that sendmail sometimes doesn't place
a blank line between the last message and the 'From user@host <date>' line
that marks the beginning of the next message. Pine is able to correctly
locate the 'From user@host <date>' line but it removes the last NL character
from the previous message. Thus when the message is exported or piped to a
command (e.g. when using ftpmail), the last line isn't terminated with a
NL and causes all sorts of problems. The worst is when I tag 2 messages and
pipe them to a command, the first line of the 2nd message is concatinated
onto the last line of the 1st message.

So my question is, has anybody else seen this and possibly fixed (or hacked
it if sendmail is at fault) it. I believe the fix needs to be in the
c-client but I havn't found the correct place to add it. I simply want to
append a NL if the last character in the message isn't already a NL.

Thanks.
--      .     +------------------------------------------------------------+
    ,--_|\    | John Saunders  - (Home) [email-masked]            |
   /  Oz  \   |                - (Work) [email-masked]             |
   \_,--\_/   | "Mmmmmmmm beer..." - Homer Simpson                         |
         v    +------------------------------------------------------------+